PImage img;


import processing.serial.*; //imcludes the serial object library

Serial port;  // creates local serial object from Serial library
int maxPinInput = 1023; // maximum value read from sensor
float myVal; // float storing converted ascii serial data
String myString; // variable to collect serial data
float circleDiameter;

void setup() {
  size(300, 300); //size of the sketch
  String portName = Serial.list()[0]; // COM3 was listed as the first port on Arduino (index 0)
  port = new Serial(this, portName, 115200); //instantiating the serial monitor (baud rate must match)
  img = loadImage("FabLabLogo.jpg"); // Images must be in the "data" directory to load correctly
}

void draw() {
  while (port.available() > 0) { //if there is data coming in from the serial monity
    myString = port.readStringUntil(10); //strips data of serial port
    if (myString != null) {
      background(255); // makes background white
      myVal = float(myString); // takes data from serial and turns it into the number read on the Arduino Serial Monitor
      circleDiameter = myVal/maxPinInput *(height/2);
      circle(width/2, height/2, circleDiameter);
      fill(0);
      if(myVal < 1010){ // if number is less than x, print the picture
        circleDiameter = myVal/maxPinInput*height;
        circle(width/2, height/2, circleDiameter);
        fill(0, 130, 200); // a pretty light blue!
      }
    }
  }
}
